%global pypi_name Flask-Images

Name:           python-flask-images
Version:        2.1.2
Release:        9%{?dist}
Summary:        Dynamic image resizing for Flask

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/F/%{pypi_name}/%{pypi_name}-%{version}.tar.gz 

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
This extension adds a resized_img_src function to the template context, which\
creates a URL to dynamically resize an image. This function takes either a path\
to a local image (either absolute, or relative to the IMAGES_PATH) or an URL to\
a remote image, and returns a URL that will serve a resized version on demand

%description %_description

%package -n python2-flask-images
Summary: %summary
Requires:       python2-pillow
Requires:       python2-flask
Requires:       python2-itsdangerous
%{?python_provide:%python_provide python2-flask-images}

%description -n python2-flask-images %_description

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files -n python2-flask-images
%doc LICENSE.txt README.md

%{python2_sitelib}/*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.1.2-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.2-6
- Python 2 binary package renamed to python2-flask-images
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 28 2015 Alex Irmel Oviedo Solis <alleinerwolf@gmail.com> - 2.1.2-1
- Updated to new upstream version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 01 2015 Eduardo Echeverria  <echevemaster@gmail.com> - 2.1.1-1
- Updated to new upstream version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 31 2013 Alex Irmel Oviedo solis <alleinerwolf@gmail.com> - 1.0.0-3
- Added Requires: python-itsdangerous

* Wed Oct 30 2013 Alex Irmel Oviedo Solis <alleinerwolf@gmail.com> - 1.0.0-2
- Changed the license from BSD-3 to BSD
- Added Requires: python-pillow/python-imaging
 
* Mon Oct 28 2013 Alex Irmel Oviedo Solis <alleinerwolf@gmail.com> - 1.0.0-1
- Initial packaging attempt

